The Spring Framework

## org.springframework.web.servlet.mvc.multiaction
Class NoSuchRequestHandlingMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.servlet.mvc.multiaction.NoSuchRequestHandlingMethodException

All Implemented Interfaces:
  Serializable

    public class NoSuchRequestHandlingMethodException

extends ServletException

Exception thrown when there is no handler method ("action" method) for a specific HTTP request.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `MethodNameResolver.getHandlerMethodName(javax.servlet.http.HttpServletRequest)`, Serialized Form

Constructor Summary
`NoSuchRequestHandlingMethodException(HttpServletRequest request)` Create a new NoSuchRequestHandlingMethodException for the given request.
`NoSuchRequestHandlingMethodException(String methodName, Class controllerClass)` Create a new NoSuchRequestHandlingMethodException for the given request.
`NoSuchRequestHandlingMethodException(String urlPath, String method, Map parameterMap)` Create a new NoSuchRequestHandlingMethodException.

Method Summary
`String` `getMethodName()` Return the name of the offending method, if known.

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(HttpServletRequest request)

  Create a new NoSuchRequestHandlingMethodException for the given request.

  Parameters:
    `request` - the offending HTTP request

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(String urlPath,
                                                String method,
                                                Map parameterMap)

  Create a new NoSuchRequestHandlingMethodException.

  Parameters:
    `urlPath` - the request URI that has been used for handler lookup
    `method` - the HTTP request method of the request
    `parameterMap` - the request's parameters as map

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(String methodName,
                                                Class controllerClass)

  Create a new NoSuchRequestHandlingMethodException for the given request.

  Parameters:
    `methodName` - the name of the handler method that wasn't found
    `controllerClass` - the class the handler method was expected to be in

Method Detail

### getMethodName

    public String getMethodName()

  Return the name of the offending method, if known.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.